Subject: Re: bug#5916: XFLOAT_DATA and signed zeroes

From: Stefan Monnier <[email-masked]>
Date: Sat, 10 Apr 2010 11:20:33 -0400

>   lisp.h (XFLOAT_DATA): Produce an rvalue by adding 0 to the value.

> However, adding 0 has another side effect on floats: the 0 is
> converted into +0.0 (due to the addition with a double), so that
> a -0.0 is transformed into a +0.0.

I guess we could/should make this "+0" conditional on some debugging
option, since after all it's only needed to catch coding errors.

        Stefan